qpid::management::ManagementObject Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | Static Protected Attributes
qpid::management::ManagementObject Class Reference

`#include <qpid/management/ManagementObject.h>`

List of all members.

## Public Types
typedef void(* | writeSchemaCall_t )(std::string &)
## Public Member Functions
| ManagementObject (Manageable *_core)
virtual | ~ManagementObject ()
virtual writeSchemaCall_t | getWriteSchemaCall ()=0
virtual std::string | getKey () const =0
virtual void | mapEncodeValues (types::Variant::Map &map, bool includeProperties, bool includeStatistics)=0
virtual void | mapDecodeValues (const types::Variant::Map &map)=0
virtual void | doMethod (std::string &methodName, const types::Variant::Map &inMap, types::Variant::Map &outMap, const std::string &userId)=0
void | writeTimestamps (types::Variant::Map &map) const
void | readTimestamps (const types::Variant::Map &buf)
virtual uint32_t | writePropertiesSize () const
| The following five methods are not pure-virtual because they will only be overridden in cases where QMFv1 is to be supported.
virtual void | readProperties (const std::string &)
virtual void | writeProperties (std::string &) const
virtual void | writeStatistics (std::string &, bool=false)
virtual void | doMethod (std::string &, const std::string &, std::string &, const std::string &)
virtual void | setReference (ObjectId objectId)
virtual std::string & | getClassName () const =0
virtual std::string & | getPackageName () const =0
virtual uint8_t * | getMd5Sum () const =0
void | setObjectId (ObjectId oid)
ObjectId | getObjectId ()
bool | getConfigChanged ()
virtual bool | getInstChanged ()
virtual bool | hasInst ()
void | setForcePublish (bool f)
bool | getForcePublish ()
void | setUpdateTime ()
void | resourceDestroy ()
bool | isDeleted ()
void | setFlags (uint32_t f)
uint32_t | getFlags ()
bool | isSameClass (ManagementObject &other)
## Static Public Attributes
static const uint8_t | MD5_LEN = 16
static int | maxThreads
static const uint8_t | TYPE_U8 = 1
static const uint8_t | TYPE_U16 = 2
static const uint8_t | TYPE_U32 = 3
static const uint8_t | TYPE_U64 = 4
static const uint8_t | TYPE_SSTR = 6
static const uint8_t | TYPE_LSTR = 7
static const uint8_t | TYPE_ABSTIME = 8
static const uint8_t | TYPE_DELTATIME = 9
static const uint8_t | TYPE_REF = 10
static const uint8_t | TYPE_BOOL = 11
static const uint8_t | TYPE_FLOAT = 12
static const uint8_t | TYPE_DOUBLE = 13
static const uint8_t | TYPE_UUID = 14
static const uint8_t | TYPE_FTABLE = 15
static const uint8_t | TYPE_S8 = 16
static const uint8_t | TYPE_S16 = 17
static const uint8_t | TYPE_S32 = 18
static const uint8_t | TYPE_S64 = 19
static const uint8_t | TYPE_LIST = 21
static const uint8_t | ACCESS_RC = 1
static const uint8_t | ACCESS_RW = 2
static const uint8_t | ACCESS_RO = 3
static const uint8_t | DIR_I = 1
static const uint8_t | DIR_O = 2
static const uint8_t | DIR_IO = 3
static const uint8_t | FLAG_CONFIG = 0x01
static const uint8_t | FLAG_INDEX = 0x02
static const uint8_t | FLAG_END = 0x80
static const uint8_t | CLASS_KIND_TABLE = 1
static const uint8_t | CLASS_KIND_EVENT = 2
## Protected Member Functions
int | getThreadIndex ()
void | writeTimestamps (std::string &buf) const
void | readTimestamps (const std::string &buf)
uint32_t | writeTimestampsSize () const
## Protected Attributes
uint64_t | createTime
uint64_t | destroyTime
uint64_t | updateTime
ObjectId | objectId
bool | configChanged
bool | instChanged
bool | deleted
Manageable * | coreObject
Mutex | accessLock
uint32_t | flags
bool | forcePublish
## Static Protected Attributes
static int | nextThreadIndex

## Member Typedef Documentation

typedef void(* qpid::management::ManagementObject::writeSchemaCall_t)(std::string &)

Definition at line 161 of file ManagementObject.h.

## Constructor & Destructor Documentation

qpid::management::ManagementObject::ManagementObject | ( | Manageable * | _core | ) |

virtual qpid::management::ManagementObject::~ManagementObject | ( |  | ) | `[inline, virtual]`

Definition at line 164 of file ManagementObject.h.

## Member Function Documentation

virtual void qpid::management::ManagementObject::doMethod | ( | std::string & | methodName,
|  | const types::Variant::Map & | inMap,
|  | types::Variant::Map & | outMap,
|  | const std::string & | userId
| ) |  | `[pure virtual]`

virtual void qpid::management::ManagementObject::doMethod | ( | std::string & | ,
|  | const std::string & | ,
|  | std::string & | ,
|  | const std::string & |
| ) |  | `[inline, virtual]`

Definition at line 190 of file ManagementObject.h.

virtual std::string& qpid::management::ManagementObject::getClassName | ( |  | ) | const`[pure virtual]`

Referenced by isSameClass().

bool qpid::management::ManagementObject::getConfigChanged | ( |  | ) | `[inline]`

Definition at line 200 of file ManagementObject.h.

uint32_t qpid::management::ManagementObject::getFlags | ( |  | ) | `[inline]`

Definition at line 209 of file ManagementObject.h.

bool qpid::management::ManagementObject::getForcePublish | ( |  | ) | `[inline]`

Definition at line 204 of file ManagementObject.h.

virtual bool qpid::management::ManagementObject::getInstChanged | ( |  | ) | `[inline, virtual]`

Definition at line 201 of file ManagementObject.h.

virtual std::string qpid::management::ManagementObject::getKey | ( |  | ) | const`[pure virtual]`

virtual uint8_t* qpid::management::ManagementObject::getMd5Sum | ( |  | ) | const`[pure virtual]`

Referenced by isSameClass().

ObjectId qpid::management::ManagementObject::getObjectId | ( |  | ) | `[inline]`

Definition at line 199 of file ManagementObject.h.

virtual std::string& qpid::management::ManagementObject::getPackageName | ( |  | ) | const`[pure virtual]`

Referenced by isSameClass().

int qpid::management::ManagementObject::getThreadIndex | ( |  | ) | `[protected]`

virtual writeSchemaCall_t qpid::management::ManagementObject::getWriteSchemaCall | ( |  | ) | `[pure virtual]`

virtual bool qpid::management::ManagementObject::hasInst | ( |  | ) | `[inline, virtual]`

Definition at line 202 of file ManagementObject.h.

bool qpid::management::ManagementObject::isDeleted | ( |  | ) | `[inline]`

Definition at line 207 of file ManagementObject.h.

bool qpid::management::ManagementObject::isSameClass | ( | ManagementObject & | other | ) | `[inline]`

Definition at line 210 of file ManagementObject.h.

References getMd5Sum(), getClassName(), and getPackageName().

virtual void qpid::management::ManagementObject::mapDecodeValues | ( | const types::Variant::Map & | map | ) | `[pure virtual]`

virtual void qpid::management::ManagementObject::mapEncodeValues | ( | types::Variant::Map & | map,
|  | bool | includeProperties,
|  | bool | includeStatistics
| ) |  | `[pure virtual]`

virtual void qpid::management::ManagementObject::readProperties | ( | const std::string & |  | ) | `[inline, virtual]`

Definition at line 187 of file ManagementObject.h.

void qpid::management::ManagementObject::readTimestamps | ( | const std::string & | buf | ) | `[protected]`

void qpid::management::ManagementObject::readTimestamps | ( | const types::Variant::Map & | buf | ) |

void qpid::management::ManagementObject::resourceDestroy | ( |  | ) |

void qpid::management::ManagementObject::setFlags | ( | uint32_t | f | ) | `[inline]`

Definition at line 208 of file ManagementObject.h.

void qpid::management::ManagementObject::setForcePublish | ( | bool | f | ) | `[inline]`

Definition at line 203 of file ManagementObject.h.

void qpid::management::ManagementObject::setObjectId | ( | ObjectId | oid | ) | `[inline]`

Definition at line 198 of file ManagementObject.h.

virtual void qpid::management::ManagementObject::setReference | ( | ObjectId | objectId | ) | `[virtual]`

void qpid::management::ManagementObject::setUpdateTime | ( |  | ) |

virtual void qpid::management::ManagementObject::writeProperties | ( | std::string & |  | ) | const`[inline, virtual]`

Definition at line 188 of file ManagementObject.h.

virtual uint32_t qpid::management::ManagementObject::writePropertiesSize | ( |  | ) | const`[inline, virtual]`

The following five methods are not pure-virtual because they will only be overridden in cases where QMFv1 is to be supported.

Definition at line 186 of file ManagementObject.h.

virtual void qpid::management::ManagementObject::writeStatistics | ( | std::string & | ,
|  | bool | = `false`
| ) |  | `[inline, virtual]`

Definition at line 189 of file ManagementObject.h.

void qpid::management::ManagementObject::writeTimestamps | ( | std::string & | buf | ) | const`[protected]`

void qpid::management::ManagementObject::writeTimestamps | ( | types::Variant::Map & | map | ) | const

uint32_t qpid::management::ManagementObject::writeTimestampsSize | ( |  | ) | const`[protected]`

## Member Data Documentation

const uint8_t qpid::management::ManagementItem::ACCESS_RC = 1`[static, inherited]`

Definition at line 113 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::ACCESS_RO = 3`[static, inherited]`

Definition at line 115 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::ACCESS_RW = 2`[static, inherited]`

Definition at line 114 of file ManagementObject.h.

Mutex qpid::management::ManagementObject::accessLock`[mutable, protected]`

Definition at line 146 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::CLASS_KIND_EVENT = 2`[static, inherited]`

Definition at line 126 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::CLASS_KIND_TABLE = 1`[static, inherited]`

Definition at line 125 of file ManagementObject.h.

bool qpid::management::ManagementObject::configChanged`[mutable, protected]`

Definition at line 142 of file ManagementObject.h.

Manageable* qpid::management::ManagementObject::coreObject`[protected]`

Definition at line 145 of file ManagementObject.h.

uint64_t qpid::management::ManagementObject::createTime`[protected]`

Definition at line 138 of file ManagementObject.h.

bool qpid::management::ManagementObject::deleted`[protected]`

Definition at line 144 of file ManagementObject.h.

uint64_t qpid::management::ManagementObject::destroyTime`[protected]`

Definition at line 139 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::DIR_I = 1`[static, inherited]`

Definition at line 117 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::DIR_IO = 3`[static, inherited]`

Definition at line 119 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::DIR_O = 2`[static, inherited]`

Definition at line 118 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::FLAG_CONFIG = 0x01`[static, inherited]`

Definition at line 121 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::FLAG_END = 0x80`[static, inherited]`

Definition at line 123 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::FLAG_INDEX = 0x02`[static, inherited]`

Definition at line 122 of file ManagementObject.h.

uint32_t qpid::management::ManagementObject::flags`[protected]`

Definition at line 147 of file ManagementObject.h.

bool qpid::management::ManagementObject::forcePublish`[protected]`

Definition at line 150 of file ManagementObject.h.

bool qpid::management::ManagementObject::instChanged`[mutable, protected]`

Definition at line 143 of file ManagementObject.h.

int qpid::management::ManagementObject::maxThreads`[static]`

Definition at line 159 of file ManagementObject.h.

const uint8_t qpid::management::ManagementObject::MD5_LEN = 16`[static]`

Definition at line 158 of file ManagementObject.h.

int qpid::management::ManagementObject::nextThreadIndex`[static, protected]`

Definition at line 149 of file ManagementObject.h.

ObjectId qpid::management::ManagementObject::objectId`[protected]`

Definition at line 141 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_ABSTIME = 8`[static, inherited]`

Definition at line 99 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_BOOL = 11`[static, inherited]`

Definition at line 102 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_DELTATIME = 9`[static, inherited]`

Definition at line 100 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_DOUBLE = 13`[static, inherited]`

Definition at line 104 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_FLOAT = 12`[static, inherited]`

Definition at line 103 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_FTABLE = 15`[static, inherited]`

Definition at line 106 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_LIST = 21`[static, inherited]`

Definition at line 111 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_LSTR = 7`[static, inherited]`

Definition at line 98 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_REF = 10`[static, inherited]`

Definition at line 101 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_S16 = 17`[static, inherited]`

Definition at line 108 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_S32 = 18`[static, inherited]`

Definition at line 109 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_S64 = 19`[static, inherited]`

Definition at line 110 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_S8 = 16`[static, inherited]`

Definition at line 107 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_SSTR = 6`[static, inherited]`

Definition at line 97 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_U16 = 2`[static, inherited]`

Definition at line 94 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_U32 = 3`[static, inherited]`

Definition at line 95 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_U64 = 4`[static, inherited]`

Definition at line 96 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_U8 = 1`[static, inherited]`

Definition at line 93 of file ManagementObject.h.

const uint8_t qpid::management::ManagementItem::TYPE_UUID = 14`[static, inherited]`

Definition at line 105 of file ManagementObject.h.

uint64_t qpid::management::ManagementObject::updateTime`[protected]`

Definition at line 140 of file ManagementObject.h.

The documentation for this class was generated from the following file:

- qpid/management/ManagementObject.h